---
- name: Run apt command on server
  apt:
    update_cache: yes

- name: Install nginx
  apt:
    name: nginx
    state: latest

- name: Create a directory
  ansible.builtin.file:
    path: "{{ html_directory_path }}"
    state: directory
    owner: root
    group: root
    mode: '0755'

- name: Copy Website
  copy:
    src: "{{ website_src_path }}"
    dest: "{{ website_des_path }}"
    owner: root
    group: root
    mode: 0644

- name: Copy config File
  copy:
    src: "{{ config_src_path }}"
    dest: "{{ config_des_path }}"
    owner: root
    group: root
    mode: 0644

- name: Create a symbolic link
  ansible.builtin.file:
    src: "{{ softlink_src_path }}"
    dest: "{{ softlink_des_path }}"
    owner: root
    group: root
    state: link
  notify: Restart nginx